質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.91%

CakePHP3.4.5がPlesk12.5.30上でエラー

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 752

rik

score 1104

Plesk12.5.30アップデート#64 で、CakePHP3.4.5を動作させようとしています。
PHP 7.0.18 FastCGI+Apache の設定です。CentOS6
以下の通りエラーが出ます。
Warning (2): transliterator_transliterate(): Could not create transliterator with ID "Any-Latin; Latin-ASCII; [\u0080-\u7fff] remove" (transliterator_create: unable to open ICU transliterator with id "Any-Latin; Latin-ASCII; [\u0080-\u7fff] remove": U_INVALID_ID) [CORE/src/Utility/Text.php, line 1070]

エラー箇所のコードを抜粋すると以下の通りです。CORE/src/Utility/Text.php

<?php
namespace Cake\Utility;

use InvalidArgumentException;
class Text
{
    protected static $_defaultTransliteratorId = 'Any-Latin; Latin-ASCII; [\u0080-\u7fff] remove';

    //中略

    public static function transliterate($string, $transliteratorId = null)
    {
        $transliteratorId = $transliteratorId ?: static::$_defaultTransliteratorId;

        return transliterator_transliterate($transliteratorId, $string);    //<---1070行目
    }

原因は、phpinfo()で見た時にintlセクションで ICU version 4.2.1 となっていますので、これが古い為と思います。
Pleskの場合、Pleskが全体を独自な方法で管理している為、単純に個別アップデートすればいいというものでは無いらしく、お尋ねしたいのは、Pleskを運用実績のある方で、またはPleskをよくご存じの方で、安全にモジュールをアップデートする方法です。


追記:
別のPlesk Onyx17.5.3 Update#4 では正常動作しました。RPMパッケージを調べると
[root@ ~]# rpm -qf /usr/lib64/libicudata.so.42.1
libicu-4.2.1-14.el6.x86_64

現在のPlesk 12.5.30 Update#64は、
[root@ ~]# rpm -qf /usr/lib64/libicudata.so.42.1
libicu-4.2.1-9.1.el6_2.x86_64

です。現在のPleskのICUを安全にアップデートできると問題は解消するものと予測します。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

check解決した方法

0

現在は全てCentOS7へ移行したため、問題は解消しました。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.91%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る